## python-django-debug-toolbar 0+git201107220111

=== Makefile ===
# Make file to compress and join all JS files
all: compress_js compress_css

compress_js:
	java -jar ~/bin/yuicompressor.jar debug_toolbar/media/debug_toolbar/js/jquery.js > debug_toolbar/media/debug_toolbar/js/toolbar.min.js
	java -jar ~/bin/yuicompressor.jar debug_toolbar/media/debug_toolbar/js/toolbar.js >> debug_toolbar/media/debug_toolbar/js/toolbar.min.js

compress_css:
	java -jar ~/bin/yuicompressor.jar --type css debug_toolbar/media/debug_toolbar/css/toolbar.css > debug_toolbar/media/debug_toolbar/css/toolbar.min.css

=== debug_toolbar/media/debug_toolbar/Makefile ===
# Make file to compress and join all JS files
all: compress_js compress_css

compress_js:
	java -jar ~/bin/yuicompressor.jar js/toolbar.js > js/toolbar.min.js

compress_css:
	java -jar ~/bin/yuicompressor.jar --type css css/toolbar.css > css/toolbar.min.css

## python-django-debug-toolbar 0+git201107220111-96e46c6

=== debian/changelog ===
python-django-debug-toolbar (1:0+git201107220111-96e46c6-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump Standards-Version to 3.9.2.
  * New Homepage.
  * Don't use upstream Makefile target.
  * Don't embed jquery.cookie.js file.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Jul 2011 01:09:24 +0200

python-django-debug-toolbar (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 May 2011 14:38:08 +0100

python-django-debug-toolbar (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 23:08:44 +0000

python-django-debug-toolbar (0.8.3-2) unstable; urgency=low

  * Don't install examples to /usr/share/pyshared/example. This is related to
    but doesn't resolve #589170.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jul 2010 11:44:41 +0100

python-django-debug-toolbar (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Move to dpkg '3.0 (quilt)' source format
  * Bump Standards-Version to 3.8.4
  * Use less-brittle method of symlinking jQuery.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 May 2010 17:44:11 +0100

python-django-debug-toolbar (0.8.1+git200911272145-1) unstable; urgency=low

  * New upstream snapshot.
    - Fix incompatibility with Python 2.4 (Closes: #559138)

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Dec 2009 09:27:03 +0000

python-django-debug-toolbar (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Dec 2009 01:27:02 +0000

python-django-debug-toolbar (0.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #547733)
  * Move to minimal dh7 style.
  * Update debian/watch to use githubredir.
  * Drop get-orig-source; we have a real tarball now.
  * Bump Standards-Version to 3.8.3.
  * Add homepage.

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Sep 2009 22:17:40 +0100

python-django-debug-toolbar (0+git200904211406-2) unstable; urgency=low

  * Support Python 2.6
    - Add --install-layout=deb to "setup.py install" call
    - Don't "site-packages" directory name when creating jQuery symlink.
    Thanks to Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 May 2009 23:44:58 +0100

python-django-debug-toolbar (0+git200904211406-1) unstable; urgency=low

  * New upstream release.
  * Add python-setuptools to Build-Depends. Previous upload did not move
    python-setuptools from Build-Depends-Indep to Build-Depends - rather,
    python-support was moved. Thanks to Krzysztof Klimonda
    <kklimonda@syntaxhighlighted.com> for catching this. (Closes: #526206)
  * Update call to create jQuery symlink; media was moved into debug_toolbar
    subdirectory.
  * Bump Standards-Version to 3.8.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 May 2009 23:18:25 +0100

python-django-debug-toolbar (0+git200901231854-2) unstable; urgency=low

  * Move python-setuptools to Build-Depends from Build-Depends-Indep as it is
    now used in the clean target (Closes: #516758)
  * Rework and re-order the call to setup the jquery symlink for compatibility
    with python-support in experimental. Thanks to Josselin Mouette for the
    patch. (Closes: #516760)

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Feb 2009 10:26:27 +0000

python-django-debug-toolbar (0+git200901231854-1) unstable; urgency=low

  * New upstream snapshot.
  * Update location of Git repositories.

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Feb 2009 21:32:43 +0000

python-django-debug-toolbar (0+git200812222307-1) unstable; urgency=low

  * New upstream snapshot.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Dec 2008 21:11:12 +0000

python-django-debug-toolbar (0+git200810080709-1) unstable; urgency=low

  * Initial release (Closes: #500391)

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Oct 2008 16:52:41 +0100

=== debian/control ===
Source: python-django-debug-toolbar
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
Standards-Version: 3.9.2
Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
Vcs-Git: git://github.com/lamby/pkg-python-django-debug-toolbar.git
Vcs-Browser: https://github.com/lamby/pkg-python-django-debug-toolbar

Package: python-django-debug-toolbar
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0), libjs-jquery, libjs-jquery-cookie
Recommends: python-pygments
Description: Embedded debugging toolbar for Django projects
 The Django Debug Toolbar is a plug-in Django application that displays a set
 of panels which conveys information about the current request at the top of the
 rendered page. It can show:
 .
   * Total time taken to process request
   * Request variables, including GET, POST, cookie, and session information.
   * All SQL queries performed during response creation and processing,
     including timing and 'EXPLAIN' output for each query in conjunction with
     the total time spent performing SQL queries. If python-pygments is
     installed, the SQL syntax is highlighted.
   * Current Django version
   * HTTP headers
   * Total requests, time, hits and misses of the cache.
   * Which templates were rendered the context provided to each template.

=== debian/rules ===
#!/usr/bin/make -f

get-orig-source:
	set -ex; \
                PKG=python-django-debug-toolbar; VER=0.8.1; \
                git clone git://github.com/robhudson/django-debug-toolbar.git $$PKG; \
                DATE=`cd $$PKG && git show --pretty=format:"%cD" HEAD | head -n1`; \
                SUFFIX=`date -d "$$DATE" +%Y%m%d%H%M`; \
                rm -rf $$PKG/.git; \
                tar cfz $${PKG}_$$VER+git$${SUFFIX}.orig.tar.gz $$PKG; \
                rm -rf $$PKG

%:
	dh $@

override_dh_auto_clean:
	rm -f Makefile
	dh_auto_clean

override_dh_pysupport:
	dh_pysupport
	
	# Don't embed jQuery
	for FILE in `find debian/*/usr -name jquery.js`; do\
		ln -sf /usr/share/javascript/jquery/jquery.js $$FILE ; \
	done
	# Don't embed jQuery.cookie
	for FILE in `find debian/*/usr -name jquery.cookie.js`; do\
		ln -sf /usr/share/javascript/jquery-cookie/jquery.cookie.js $$FILE ; \
	done
	
	rm -rf debian/*/usr/share/pyshared/example

=== debian/watch ===
version=3
http://githubredir.debian.net/github/robhudson/django-debug-toolbar /v?(.*).tar.gz

## python-django-debug-toolbar 0.8.3

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
-Standards-Version: 3.9.2
-Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
-Vcs-Git: git://github.com/lamby/pkg-python-django-debug-toolbar.git
-Vcs-Browser: https://github.com/lamby/pkg-python-django-debug-toolbar
+Standards-Version: 3.8.4
+Homepage: http://github.com/robhudson/django-debug-toolbar
+Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-django-debug-toolbar.git
+Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-django-debug-toolbar.git
 
 Package: python-django-debug-toolbar
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0), libjs-jquery, libjs-jquery-cookie
+Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0), libjs-jquery
 Recommends: python-pygments
 Description: Embedded debugging toolbar for Django projects
  The Django Debug Toolbar is a plug-in Django application that displays a set

=== debian/watch ===
version=3
http://githubredir.debian.net/github/robhudson/django-debug-toolbar /(.*).tar.gz

## python-django-debug-toolbar 0.8.5

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://github.com/robhudson/django-debug-toolbar
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-python-django-debug-toolbar.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-python-django-debug-toolbar.git
+Vcs-Git: git://github.com/lamby/pkg-python-django-debug-toolbar.git
+Vcs-Browser: https://github.com/lamby/pkg-python-django-debug-toolbar
 
 Package: python-django-debug-toolbar
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,6 @@
 %:
 	dh $@
 
-override_dh_auto_clean:
-	rm -f Makefile
-	dh_auto_clean
-
 override_dh_pysupport:
 	dh_pysupport
 	
@@ -24,9 +20,5 @@
 	for FILE in `find debian/*/usr -name jquery.js`; do\
 		ln -sf /usr/share/javascript/jquery/jquery.js $$FILE ; \
 	done
-	# Don't embed jQuery.cookie
-	for FILE in `find debian/*/usr -name jquery.cookie.js`; do\
-		ln -sf /usr/share/javascript/jquery-cookie/jquery.cookie.js $$FILE ; \
-	done
 	
 	rm -rf debian/*/usr/share/pyshared/example

## python-django-debug-toolbar 1.0.1

=== Makefile ===
.PHONY: flake8 example test coverage translatable_strings update_translations

flake8:
	flake8 debug_toolbar example tests

example:
	DJANGO_SETTINGS_MODULE=example.settings \
		django-admin.py runserver

test:
	DJANGO_SETTINGS_MODULE=tests.settings \
		django-admin.py test tests

test_selenium:
	DJANGO_SELENIUM_TESTS=true DJANGO_SETTINGS_MODULE=tests.settings \
		django-admin.py test tests

coverage:
	coverage erase
	DJANGO_SETTINGS_MODULE=tests.settings \
		coverage run --branch --source=debug_toolbar `which django-admin.py` test tests
	coverage html

translatable_strings:
	cd debug_toolbar && django-admin.py makemessages -l en --no-obsolete
	@echo "Please commit changes and run 'tx push -s' (or wait for Transifex to pick them)"

update_translations:
	tx pull -a --minimum-perc=10
	cd debug_toolbar && django-admin.py compilemessages

=== debian/changelog ===
python-django-debug-toolbar (1:1.0.1-0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Drop get-orig-source target now we are using git-buildpackage

  [ Raphaël Hertzog ]
  * New upstream release. Closes: #636897
  * Brings compatibility with Django 1.6. Closes: #726011
  * Switch from python-support to dh-python
  * Updated Standards-Version to 3.9.5.
  * Update watch file.
  * Drop useless debian/README.Debian, debian/setup.py.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 21 Jan 2014 08:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
-Standards-Version: 3.9.1
-Homepage: http://github.com/robhudson/django-debug-toolbar
+Build-Depends: debhelper (>= 9), python, dh-python, python-setuptools
+Standards-Version: 3.9.5
+Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
 Vcs-Git: git://github.com/lamby/pkg-python-django-debug-toolbar.git
 Vcs-Browser: https://github.com/lamby/pkg-python-django-debug-toolbar
 
 Package: python-django-debug-toolbar
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0), libjs-jquery
+Depends: ${misc:Depends}, ${python:Depends}, libjs-jquery, libjs-jquery-cookie
 Recommends: python-pygments
 Description: Embedded debugging toolbar for Django projects
  The Django Debug Toolbar is a plug-in Django application that displays a set

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_python2:
	dh_python2
	
	# Don't embed jQuery
	for FILE in `find debian/*/usr -name jquery.js`; do\
		ln -sf /usr/share/javascript/jquery/jquery.js $$FILE ; \
	done
	# Don't embed jQuery.cookie
	for FILE in `find debian/*/usr -name jquery.cookie.js`; do\
		ln -sf /usr/share/javascript/jquery-cookie/jquery.cookie.js $$FILE ; \
	done

=== debian/watch ===
version=3
http://githubredir.debian.net/github/django-debug-toolbar/django-debug-toolbar /v?(.*).tar.gz

## python-django-debug-toolbar 1.2.1

=== debian/changelog ===
python-django-debug-toolbar (1:1.2.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy (Closes: #749543).
  * Depend on python-django >= 1.6

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 30 Aug 2014 23:32:11 -0700

python-django-debug-toolbar (1:1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Add XS-Testsuite field in debian/control
  * Go back to GitHub for debian/watch.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 27 May 2014 22:04:29 -0400

python-django-debug-toolbar (1:1.2-1) unstable; urgency=medium

  * New upstream release.
  * Adopt for Debian Python Modules Team (Closes: #738299).
  * Use PyPi for debian/watch instead of GitHub.
  * Run tests at build time.
  * Add missing dependency on python-sqlparse.
  * Add DEP-8 tests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 26 Apr 2014 18:05:45 -0400

python-django-debug-toolbar (1:1.0.1-1) unstable; urgency=medium

  * Orphaning package.

 -- Chris Lamb <lamby@debian.org>  Sun, 09 Feb 2014 00:07:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,28 @@
 Source: python-django-debug-toolbar
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 9), python, dh-python, python-setuptools
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python,
+               python-django (>= 1.6~),
+               python-setuptools,
+               python-sqlparse
 Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
-Vcs-Git: git://github.com/lamby/pkg-python-django-debug-toolbar.git
-Vcs-Browser: https://github.com/lamby/pkg-python-django-debug-toolbar
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-debug-toolbar/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-debug-toolbar/trunk/
 
 Package: python-django-debug-toolbar
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, libjs-jquery, libjs-jquery-cookie
+Depends: libjs-jquery,
+         libjs-jquery-cookie,
+         python-sqlparse,
+         python-django (>= 1.6~),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: python-pygments
 Description: Embedded debugging toolbar for Django projects
  The Django Debug Toolbar is a plug-in Django application that displays a set

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 	for FILE in `find debian/*/usr -name jquery.cookie.js`; do\
 		ln -sf /usr/share/javascript/jquery-cookie/jquery.cookie.js $$FILE ; \
 	done
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings django-admin test tests
+endif

## python-django-debug-toolbar 1.4

=== Makefile ===
.PHONY: flake8 example test coverage translatable_strings update_translations

flake8:
	flake8 debug_toolbar example tests

isort:
	isort -rc debug_toolbar example tests

isort_check_only:
	isort -rc -c debug_toolbar example tests

example:
	DJANGO_SETTINGS_MODULE=example.settings \
		django-admin runserver

test:
	DJANGO_SETTINGS_MODULE=tests.settings \
		django-admin test tests

test_selenium:
	DJANGO_SELENIUM_TESTS=true DJANGO_SETTINGS_MODULE=tests.settings \
		django-admin test tests

coverage:
	coverage erase
	DJANGO_SETTINGS_MODULE=tests.settings \
		coverage run --branch --source=debug_toolbar `which django-admin` test tests
	coverage html

translatable_strings:
	cd debug_toolbar && django-admin makemessages -l en --no-obsolete
	@echo "Please commit changes and run 'tx push -s' (or wait for Transifex to pick them)"

update_translations:
	tx pull -a --minimum-perc=10
	cd debug_toolbar && django-admin compilemessages

=== debian/changelog ===
python-django-debug-toolbar (1:1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #801939).
  * Bump Standards-Version to 3.9.6, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 01 Nov 2015 16:45:20 -0500

python-django-debug-toolbar (1:1.2.1-2) unstable; urgency=medium

  * debian/copyright: Update to properly conform to the machine-readable 
    copyright spec.
  * Jquery is no longer bundled, so drop linking code in debian/rules.
  * Move libjs-jquery to Suggests. Upstream introduced a JQUERY_URL
    configuration option that can also take a local URI.
  * Build Python 3 package (Closes: #755617).
  * Build python-django-debug-toolbar-doc package with common docs.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 07 Sep 2014 16:14:52 -0400

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,30 @@
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python,
-               python-django (>= 1.6~),
+               python-all,
+               python3-all,
+               python-django,
+               python3-django,
                python-setuptools,
-               python-sqlparse
-Standards-Version: 3.9.5
+               python3-setuptools,
+               python-sphinx (>= 1.0.7+dfsg-1~),
+               python-sqlparse,
+               python3-sqlparse
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-debug-toolbar/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-debug-toolbar/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-debug-toolbar.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-debug-toolbar.git
 
 Package: python-django-debug-toolbar
 Architecture: all
-Depends: libjs-jquery,
-         libjs-jquery-cookie,
-         python-sqlparse,
-         python-django (>= 1.6~),
+Depends: python-sqlparse,
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-pygments
+Suggests: libjs-jquery, python-django-debug-toolbar-doc
 Description: Embedded debugging toolbar for Django projects
  The Django Debug Toolbar is a plug-in Django application that displays a set
  of panels which conveys information about the current request at the top of the
@@ -39,3 +44,51 @@
    * HTTP headers
    * Total requests, time, hits and misses of the cache.
    * Which templates were rendered the context provided to each template.
+
+Package: python3-django-debug-toolbar
+Architecture: all
+Depends: python3-sqlparse,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: python3-pygments
+Suggests: libjs-jquery, python-django-debug-toolbar-doc
+Description: Embedded debugging toolbar for Django projects (Python 3 version)
+ The Django Debug Toolbar is a plug-in Django application that displays a set
+ of panels which conveys information about the current request at the top of the
+ rendered page. It can show:
+ .
+   * Total time taken to process request
+   * Request variables, including GET, POST, cookie, and session information.
+   * All SQL queries performed during response creation and processing,
+     including timing and 'EXPLAIN' output for each query in conjunction with
+     the total time spent performing SQL queries. If python-pygments is
+     installed, the SQL syntax is highlighted.
+   * Current Django version
+   * HTTP headers
+   * Total requests, time, hits and misses of the cache.
+   * Which templates were rendered the context provided to each template.
+ .
+ This package contains the Python 3 version.
+
+Package: python-django-debug-toolbar-doc
+Architecture: all
+Section: doc
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Description: Embedded debugging toolbar for Django projects (documentation)
+ The Django Debug Toolbar is a plug-in Django application that displays a set
+ of panels which conveys information about the current request at the top of the
+ rendered page. It can show:
+ .
+   * Total time taken to process request
+   * Request variables, including GET, POST, cookie, and session information.
+   * All SQL queries performed during response creation and processing,
+     including timing and 'EXPLAIN' output for each query in conjunction with
+     the total time spent performing SQL queries. If python-pygments is
+     installed, the SQL syntax is highlighted.
+   * Current Django version
+   * HTTP headers
+   * Total requests, time, hits and misses of the cache.
+   * Which templates were rendered the context provided to each template.
+ .
+ This is the common documentation package.
+

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2_VERSIONS=$(shell pyversions -vr)
PYTHON3_VERSIONS=$(shell py3versions -vr)
PYTHON_VERSIONS=${PYTHON2_VERSIONS} ${PYTHON3_VERSIONS}

export PYBUILD_NAME=django-debug-toolbar
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings python$* /usr/bin/django-admin test tests

override_dh_auto_test: $(foreach pyversion,${PYTHON_VERSIONS},$(pyversion:%=test-python%))
endif

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

=== debian/tests/control ===
Tests: testsuite
Depends: @, python, python-django, python-sqlparse

## python-django-debug-toolbar 1.5

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,12 @@
 example:
 	DJANGO_SETTINGS_MODULE=example.settings \
 		django-admin runserver
+
+jshint: node_modules/jshint/bin/jshint
+	./node_modules/jshint/bin/jshint debug_toolbar/static/debug_toolbar/js/*.js
+
+node_modules/jshint/bin/jshint:
+	npm install jshint --prefix .
 
 test:
 	DJANGO_SETTINGS_MODULE=tests.settings \

## python-django-debug-toolbar 1.6

=== Makefile ===
--- 
+++ 
@@ -28,9 +28,11 @@
 		django-admin test tests
 
 coverage:
+	python --version
 	coverage erase
 	DJANGO_SETTINGS_MODULE=tests.settings \
-		coverage run --branch --source=debug_toolbar `which django-admin` test tests
+		coverage run `which django-admin` test -v2 tests
+	coverage report
 	coverage html
 
 translatable_strings:

=== debian/changelog ===
python-django-debug-toolbar (1:1.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop sqlparse-downgrade.patch as sqlparse >= 0.2 is
    now in Debian.
  * Depend on python{3}-sqlparse >= 0.2.0 (Closes: #844792). 
  * Drop django-1.10-compat.patch, applied upstream.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 27 Nov 2016 10:26:50 -0500

python-django-debug-toolbar (1:1.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * django-1.10-compat.patch: Make DebugToolarMiddleware compatible
    with Django 1.10's MIDDLEWARE setting (Closes: #828664).
  * sqlparse-downgrade.patch: Restore compatibility with
    sqlparse < 0.2.0 as Debian has 0.1.18.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 20 Aug 2016 13:21:13 -0400

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
                python-setuptools,
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg-1~),
-               python-sqlparse,
+               python-sqlparse (>= 0.2.0),
                python3-sqlparse
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 XS-Testsuite: autopkgtest
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-debug-toolbar.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-debug-toolbar.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-debug-toolbar.git
 
 Package: python-django-debug-toolbar
 Architecture: all
-Depends: python-sqlparse,
+Depends: python-sqlparse (>= 0.2.0),
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-pygments
@@ -47,7 +47,7 @@
 
 Package: python3-django-debug-toolbar
 Architecture: all
-Depends: python3-sqlparse,
+Depends: python3-sqlparse (>= 0.2.0),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-pygments

## python-django-debug-toolbar 1.9.1

=== Makefile ===
--- 
+++ 
@@ -21,17 +21,17 @@
 
 test:
 	DJANGO_SETTINGS_MODULE=tests.settings \
-		django-admin test tests
+		django-admin test $${TEST_ARGS:-tests}
 
 test_selenium:
 	DJANGO_SELENIUM_TESTS=true DJANGO_SETTINGS_MODULE=tests.settings \
-		django-admin test tests
+		django-admin test $${TEST_ARGS:-tests}
 
 coverage:
 	python --version
 	coverage erase
 	DJANGO_SETTINGS_MODULE=tests.settings \
-		coverage run `which django-admin` test -v2 tests
+		coverage run `which django-admin` test -v2 $${TEST_ARGS:-tests}
 	coverage report
 	coverage html

=== debian/changelog ===
python-django-debug-toolbar (1:1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Add missing autopkgtest dependency on python{3}-django-jinja.
    Closes: #883056 Thanks to Steve Langasek.  
  * Invoke tests via pybuild.
  * Bump Standards-Version to 4.1.2, no changes.
  * Build depend on python{3}-html5lib.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 25 Dec 2017 10:33:53 -0500

python-django-debug-toolbar (1:1.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop XS-Testsuite header, now automatically injected.
  * Depend on python{3}-django-jinja.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 03 Jul 2017 11:16:09 -0400

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,16 @@
                python3-all,
                python-django,
                python3-django,
+               python-django-jinja,
+               python3-django-jinja,
+               python-html5lib,
+               python3-html5lib,
                python-setuptools,
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg-1~),
                python-sqlparse (>= 0.2.0),
                python3-sqlparse
-Standards-Version: 3.9.8
-XS-Testsuite: autopkgtest
+Standards-Version: 4.1.2
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2_VERSIONS=$(shell pyversions -vr)
PYTHON3_VERSIONS=$(shell py3versions -vr)
PYTHON_VERSIONS=${PYTHON2_VERSIONS} ${PYTHON3_VERSIONS}

export PYBUILD_NAME=django-debug-toolbar

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings django-admin test tests" \
	dh_auto_test
endif

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

=== debian/tests/control ===
Tests: testsuite
Depends: @, python, python-django, python-django-jinja, python3-django-jinja, python-sqlparse, python-html5lib, python3-html5lib

=== debian/watch ===
version=3
https://github.com/django-debug-toolbar/django-debug-toolbar/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:python-django-debug-toolbar|django-debug-toolbar)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-django-debug-toolbar 2.0

=== Makefile ===
.PHONY: flake8 example test coverage translatable_strings update_translations

style:
	isort -rc debug_toolbar example tests
	black --target-version=py34 debug_toolbar example tests setup.py
	flake8 debug_toolbar example tests

style_check:
	isort -rc -c debug_toolbar example tests
	black --target-version=py34 --check debug_toolbar example tests setup.py

flake8:
	flake8 debug_toolbar example tests

example:
	python example/manage.py runserver

jshint: node_modules/jshint/bin/jshint
	./node_modules/jshint/bin/jshint debug_toolbar/static/debug_toolbar/js/*.js

node_modules/jshint/bin/jshint:
	npm install jshint --prefix .

test:
	DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

test_selenium:
	DJANGO_SELENIUM_TESTS=true DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

coverage:
	python --version
	coverage erase
	DJANGO_SETTINGS_MODULE=tests.settings \
		coverage run -m django test -v2 $${TEST_ARGS:-tests}
	coverage report
	coverage html

translatable_strings:
	cd debug_toolbar && python -m django makemessages -l en --no-obsolete
	@echo "Please commit changes and run 'tx push -s' (or wait for Transifex to pick them)"

update_translations:
	tx pull -a --minimum-perc=10
	cd debug_toolbar && python -m django compilemessages

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DjangoDebugToolbar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DjangoDebugToolbar.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DjangoDebugToolbar"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DjangoDebugToolbar"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-django-debug-toolbar (1:2.0-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-django-debug-toolbar-doc: Add Multi-Arch: foreign.

  [ Antonio Terceiro ]
  * Source only upload to allow for testing migration.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Jan 2021 15:44:41 -0300

python-django-debug-toolbar (1:2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.

  [ Andrew Starr-Bochicchio ]
  * New upstream release (Closes: #933130).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 25 Aug 2019 10:24:09 -0400

=== debian/control ===
Source: python-django-debug-toolbar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-django-jinja,
               python3-html5lib,
               python3-setuptools,
               python3-sphinx (>= 1.0.7+dfsg-1~),
               python3-sqlparse
Standards-Version: 4.1.2
Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar

Package: python3-django-debug-toolbar
Architecture: all
Depends: python3-sqlparse (>= 0.2.0),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pygments
Suggests: libjs-jquery, python-django-debug-toolbar-doc
Description: Embedded debugging toolbar for Django projects (Python 3 version)
 The Django Debug Toolbar is a plug-in Django application that displays a set
 of panels which conveys information about the current request at the top of the
 rendered page. It can show:
 .
   * Total time taken to process request
   * Request variables, including GET, POST, cookie, and session information.
   * All SQL queries performed during response creation and processing,
     including timing and 'EXPLAIN' output for each query in conjunction with
     the total time spent performing SQL queries. If python-pygments is
     installed, the SQL syntax is highlighted.
   * Current Django version
   * HTTP headers
   * Total requests, time, hits and misses of the cache.
   * Which templates were rendered the context provided to each template.
 .
 This package contains the Python 3 version.

Package: python-django-debug-toolbar-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Embedded debugging toolbar for Django projects (documentation)
 The Django Debug Toolbar is a plug-in Django application that displays a set
 of panels which conveys information about the current request at the top of the
 rendered page. It can show:
 .
   * Total time taken to process request
   * Request variables, including GET, POST, cookie, and session information.
   * All SQL queries performed during response creation and processing,
     including timing and 'EXPLAIN' output for each query in conjunction with
     the total time spent performing SQL queries. If python-pygments is
     installed, the SQL syntax is highlighted.
   * Current Django version
   * HTTP headers
   * Total requests, time, hits and misses of the cache.
   * Which templates were rendered the context provided to each template.
 .
 This is the common documentation package.

## python-django-debug-toolbar 3.2.1

=== Makefile ===
.PHONY: flake8 example test coverage translatable_strings update_translations

PRETTIER_TARGETS = '**/*.(css|js)'

style: package-lock.json
	isort .
	black --target-version=py36 .
	flake8
	npx eslint --ignore-path .gitignore --fix .
	npx prettier --ignore-path .gitignore --write $(PRETTIER_TARGETS)
	! grep -r '\(style=\|onclick=\|<script>\|<style\)' debug_toolbar/templates/

style_check: package-lock.json
	isort -c .
	black --target-version=py36 --check .
	flake8
	npx eslint --ignore-path .gitignore .
	npx prettier --ignore-path .gitignore --check $(PRETTIER_TARGETS)
	! grep -r '\(style=\|onclick=\|<script>\|<style\)' debug_toolbar/templates/

example:
	python example/manage.py migrate --noinput
	-DJANGO_SUPERUSER_PASSWORD=p python example/manage.py createsuperuser \
		--noinput --username="$(USER)" --email="$(USER)@mailinator.com"
	python example/manage.py runserver

package-lock.json: package.json
	npm install
	touch $@

test:
	DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

test_selenium:
	DJANGO_SELENIUM_TESTS=true DJANGO_SETTINGS_MODULE=tests.settings \
		python -m django test $${TEST_ARGS:-tests}

coverage:
	python --version
	DJANGO_SETTINGS_MODULE=tests.settings \
		python -b -W always -m coverage run -m django test -v2 $${TEST_ARGS:-tests}
	coverage report
	coverage html
	coverage xml

translatable_strings:
	cd debug_toolbar && python -m django makemessages -l en --no-obsolete
	@echo "Please commit changes and run 'tx push -s' (or wait for Transifex to pick them)"

update_translations:
	tx pull -a --minimum-perc=10
	cd debug_toolbar && python -m django compilemessages

.PHONY: example/django-debug-toolbar.png
example/django-debug-toolbar.png: example/screenshot.py
	python $< --browser firefox --headless -o $@
	optipng $@

=== debian/changelog ===
python-django-debug-toolbar (1:3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.1
  * Update the github URL (moved to jazzband organization)
  * Replace python3-django-ninja build dep with python3-jinja2
  * Bump Standards-Version to 4.5.1

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 03 Jun 2021 09:45:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                dh-python,
                python3-all,
                python3-django,
-               python3-django-jinja,
                python3-html5lib,
+               python3-jinja2,
                python3-setuptools,
                python3-sphinx (>= 1.0.7+dfsg-1~),
                python3-sqlparse
-Standards-Version: 4.1.2
-Homepage: https://github.com/django-debug-toolbar/django-debug-toolbar
+Standards-Version: 4.5.1
+Homepage: https://github.com/jazzband/django-debug-toolbar
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-debug-toolbar

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=django-debug-toolbar
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
@@ -18,4 +18,4 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html

=== debian/tests/control ===
Tests: testsuite
Depends: @, python3, python3-django, python3-django-jinja, python3-sqlparse, python3-html5lib

## python-django-debug-toolbar 3.2.2

=== debian/changelog ===
python-django-debug-toolbar (1:3.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Antonio Terceiro ]
  * New upstream version 3.2.2

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 10 Nov 2021 11:28:24 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-django,

=== debian/watch ===
version=3
https://github.com/jazzband/django-debug-toolbar/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:python-django-debug-toolbar|django-debug-toolbar)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
